package com.example.googlemapdemo;

import java.util.List;

import android.app.Activity;
import android.graphics.Color;
import android.os.Bundle;
import android.widget.Toast;

import com.google.android.*;
import com.google.android.gms.maps.CameraUpdate;
import com.google.android.gms.maps.CameraUpdateFactory;
import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.GoogleMap.OnMapClickListener;
import com.google.android.gms.maps.GoogleMap.OnMarkerClickListener;
import com.google.android.gms.maps.MapFragment;
import com.google.android.gms.maps.model.CameraPosition;
import com.google.android.gms.maps.model.Circle;
import com.google.android.gms.maps.model.CircleOptions;
import com.google.android.gms.maps.model.LatLng;
import com.google.android.gms.maps.model.Marker;
import com.google.android.gms.maps.model.MarkerOptions;
import com.google.android.maps.*;


public class MainActivity extends Activity implements OnMapClickListener, OnMarkerClickListener{

   private GoogleMap map;	
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		// TODO Auto-generated method stub
		super.onCreate(savedInstanceState);
		
		
		setContentView(R.layout.activity_main);
		
		
		LatLng HAMBURG  = new LatLng(53.558, 9.927);
		map = ((MapFragment) getFragmentManager().findFragmentById(R.id.map)).getMap();
		
		
		
		
		
		map.setMapType(GoogleMap.MAP_TYPE_HYBRID);
		
		Marker hamburg = map.addMarker(new MarkerOptions().position(HAMBURG).title("HAMBURG"));
	
		map.setMyLocationEnabled(true);
		map.getUiSettings().setCompassEnabled(true);
		map.getUiSettings().setZoomControlsEnabled(true);
		map.getUiSettings().setMyLocationButtonEnabled(true);
		map.setTrafficEnabled(true);

		
		
		CameraPosition cameraPosition = new CameraPosition.Builder().target(HAMBURG).zoom(20).build();
		CameraUpdate update = CameraUpdateFactory.newCameraPosition(cameraPosition);
		map.animateCamera(update);
		
		
		CircleOptions circleOptions = new CircleOptions().center(HAMBURG).radius(100).strokeColor(Color.RED);
		Circle circle = map.addCircle(circleOptions);
		
		map.setOnMapClickListener(this);
		
		
		
		
		map.setOnMarkerClickListener(this);
		
		
	}

	@Override
	public void onMapClick(LatLng arg0) {
		String latlong = String.valueOf(arg0.latitude) + " "+ String.valueOf(arg0.longitude);
		Toast.makeText(getApplicationContext(), latlong, Toast.LENGTH_LONG).show();
		
	}
	
	@Override
	public boolean onMarkerClick(Marker marker) {
		// TODO Auto-generated method stub
		if(marker.getTitle().equals("HAMBURG"))
		{
			Toast.makeText(getApplicationContext(), "ONMarkerClick", Toast.LENGTH_LONG).show();
		}
		return false;
	}

	
	
}
